RSSKit 0.6.1

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Instance Methods | List of all members
<RSSFeed> Protocol Referenceabstract

`#import <RSSFeedProtocol.h>`

Inherited by <RSSMutableFeed>.

## Instance Methods

(NSEnumerator *) | - articleEnumerator
(NSSet *) | - articleSet
(int) | - articleCount
(BOOL) | - isFetching
(NSString *) | - feedName
(NSURL *) | - feedURL
(enum RSSFeedError) | - fetch
(void) | - fetchInBackground
(enum RSSFeedError) | - lastError
(NSMutableDictionary *) | - plistDictionary

## Detailed Description

The RSS feed protocol defines the way users are supposed to talk to a feed.

## Method Documentation

- (int) articleCount |  |  |

Returns
  the number of articles in this feed

- (NSEnumerator*) articleEnumerator |  |  |

Returns
  an enumerator for the articles in this feed

Reimplemented in RSSFeed.

- (NSSet*) articleSet |  |  |

Returns
  a set that contains this feed's articles

- (NSString*) feedName |  |  |

Returns
  The name of the feed

Reimplemented in RSSFeed.

- (NSURL*) feedURL |  |  |

Returns
  the URL where the feed can be downloaded from (as NSURL object)

See Also
  NSURL

Reimplemented in RSSFeed.

- (enum RSSFeedError) fetch |  |  |

Fetches the feed from the web.

Returns
  An error number (of type enum RSSFeedError)

See Also
  NSURL
  RSSFeedError

Reimplemented in RSSFeed.

- (void) fetchInBackground |  |  |

Fetches the feed from the web. Feed fetching is done in the background. When the feed is fetched, the feed will post a RSSFeedFetchedNotification.

See Also
  RSSFeedFetchedNotification

Reimplemented in RSSFeed.

- (BOOL) isFetching |  |  |

Returns YES if and only if this feed is currently being fetched.

Reimplemented in RSSFeed.

- (enum RSSFeedError) lastError |  |  |

Returns the last fetching error.

- (NSMutableDictionary*) plistDictionary |  |  |

Returns a NSDictionary object that is property-list compatible and contains all information required to rebuild this article object.

Reimplemented in RSSFeed.

The documentation for this protocol was generated from the following file:

- RSSFeedProtocol.h